@charset "UTF-8";
/***
    The new CSS reset - version 1.6.0 (last updated 29.4.2022)
    GitHub page: https://github.com/elad2412/the-new-css-reset
***/
/*
    Remove all the styles of the "User-Agent-Stylesheet", except for the 'display' property
    - The "symbol *" part is to solve Firefox SVG sprite bug
 */
*:where(:not(html, iframe, canvas, img, svg, video):not(svg *, symbol *)) {
  all: unset;
  display: revert;
}

/* Preferred box-sizing value */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Reapply the pointer cursor for anchor tags */
a,
button {
  cursor: revert;
}

/* Remove list styles (bullets/numbers) */
ol,
ul,
menu {
  list-style: none;
}

/* For images to not be able to exceed their container */
img {
  max-width: 100%;
}

/* removes spacing between cells in tables */
table {
  border-collapse: collapse;
}

/* revert the 'white-space' property for textarea elements on Safari */
textarea {
  white-space: revert;
}

/* minimum style to allow to style meter element */
meter {
  -webkit-appearance: revert;
  -moz-appearance: revert;
       appearance: revert;
}

/* reset default text opacity of input placeholder */
::-moz-placeholder {
  color: unset;
}
::placeholder {
  color: unset;
}

/* fix the feature of 'hidden' attribute.
   display:revert; revert to element instead of attribute */
:where([hidden]) {
  display: none;
}

/* revert for bug in Chromium browsers
   - fix for the content editable attribute will work properly. */
:where([contenteditable]) {
  -moz-user-modify: read-write;
  -webkit-user-modify: read-write;
  overflow-wrap: break-word;
  -webkit-line-break: after-white-space;
}

/* apply back the draggable feature - exist only in Chromium and Safari */
:where([draggable=true]) {
  -webkit-user-drag: element;
}

body {
  font-size: 16px;
  font-size: max(0.8333333333vw, 11px);
  letter-spacing: 0.15em;
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  overflow: hidden;
  -webkit-tap-highlight-color: rgba(246, 215, 0, 0);
  padding: 0;
  margin: 0;
  background-color: #ccc;
  color: black;
}
@media screen and (max-width: 767px) {
  body {
    font-size: 16px;
    font-size: max(3.3333333333vw, 11px);
  }
}

main {
  position: relative;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  width: 100%;
  height: 100vh;
}
main div {
  width: 100%;
  text-align: center;
  color: white;
}

.logo {
  width: 100%;
  line-height: 1;
  font-size: 40px;
  font-size: max(2.0833333333vw, 11px);
  font-weight: 600;
  letter-spacing: 0.25em;
}
@media screen and (max-width: 767px) {
  .logo {
    font-size: 48px;
    font-size: max(10vw, 11px);
  }
}

#catchphrase {
  display: inline-block;
  width: 100%;
  font-size: 16px;
  font-size: max(0.8333333333vw, 11px);
  font-weight: 200;
  height: 1.5em;
  line-height: 1.5em;
  vertical-align: middle;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  border-right: 0.15em solid orange;
  animation: blink-caret 1s step-end infinite;
  margin: 1em auto 0;
}
@media screen and (max-width: 767px) {
  #catchphrase {
    font-size: 14px;
    font-size: max(2.9166666667vw, 11px);
    letter-spacing: 0.1em;
  }
}

@keyframes blink-caret {
  from, to {
    border-color: transparent;
  }
  /* 非表示 */
  50% {
    border-color: orange;
  }
  /* 表示 */
}
.contact {
  margin-top: 2em;
}
.contact a {
  border: 2px solid white;
  font-weight: 500;
  border-radius: 4px;
  padding: 0.5em 2em;
  transition: background-color 0.25s ease-in-out, color 0.25s ease-in-out;
}
.contact a:hover {
  background-color: white;
  color: black;
}
@media screen and (max-width: 767px) {
  .contact a {
    font-size: 18px;
    font-size: max(3.75vw, 11px);
    font-weight: 500;
    letter-spacing: 0.1em;
    border: 2px solid white;
  }
}

footer {
  position: absolute;
  z-index: 1;
  bottom: 2vw;
  width: 100%;
}
footer address {
  text-align: center;
  font-size: 12px;
  font-size: max(0.625vw, 11px);
  line-height: 2;
  letter-spacing: 0.2em;
}
footer address small {
  display: block;
  font-size: 0.8em;
  margin-bottom: 1em;
}
@media screen and (max-width: 767px) {
  footer {
    bottom: 10vw;
  }
}

#ink {
  --ink-top-offset: -5%;
  position: fixed;
  z-index: 0;
  /* マスクの垂直位置を調整できるようにカスタムプロパティを使用 */
  top: var(--ink-top-offset, 0);
  left: 0;
  right: 0;
  bottom: 0;
  /* アスペクト比を保持 */
  aspect-ratio: 2560/1090;
  width: 70%;
  height: auto;
  margin: auto;
  /* さらに微調整したい場合には translateY を使える */
  transform: translateY(var(--ink-translate-y, 0));
}
@media screen and (max-width: 767px) {
  #ink {
    --ink-top-offset: -2%;
    width: 90%;
    height: auto;
  }
}